## ros-indigo-parrot-arsdk 3.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(parrot_arsdk)

find_package(catkin REQUIRED)

catkin_package(
  CFG_EXTRAS parrot_arsdk.cmake
)

###########
## Build ##
###########

# use the build space for downloading/building the package
# we populate the results to devel/install spaces after the build
set(ARDRONESDK3_DEVEL_PATH ${CMAKE_CURRENT_BINARY_DIR}/arsdk)
set(ARDRONESDK3_PATH ${ARDRONESDK3_DEVEL_PATH}/src/ARSDKBuildUtils/out/arsdk-native/staging/usr)

# 3.14.0 patch 1
set(ARSDK_ARCHIVE arsdk_3_14_0_p1_stripped.tgz)
set(ARSDK_ARCHIVE_MD5 f73099c420dab7c1ad29a01b1df3ca3c)

# Determine the architecure of the host in a robust way
execute_process(COMMAND python ${PROJECT_SOURCE_DIR}/script/get_arch.py OUTPUT_VARIABLE BUILD_HOST_ARCH)
message(STATUS "Host architecure: ${BUILD_HOST_ARCH}")

add_custom_target(ARSDK_MKDIR
  COMMAND ${CMAKE_COMMAND} -E make_directory ${ARDRONESDK3_DEVEL_PATH})

include(ExternalProject)
ExternalProject_Add(ARSDKBuildUtils
    DEPENDS ARSDK_MKDIR
    URL ${PROJECT_SOURCE_DIR}/sdk/${ARSDK_ARCHIVE}
    URL_MD5 ${ARSDK_ARCHIVE_MD5}
    PREFIX ${ARDRONESDK3_DEVEL_PATH}
    CONFIGURE_COMMAND echo "No configure"
    BUILD_COMMAND TARGET_ARCH=${BUILD_HOST_ARCH} ./build.sh -p arsdk-native -t build-sdk -j --no-color
    INSTALL_COMMAND echo "No SDK install command"
    BUILD_IN_SOURCE 1
)

add_custom_target(ARSDKPopulate ALL
  COMMENT "Populating ARDroneSDK to devel space: ${ARDRONESDK3_DEVEL_PATH}"
  WORKING_DIRECTORY ${ARDRONESDK3_DEVEL_PATH}/src/ARSDKBuildUtils
  # Populate the build results into the devel space
  COMMAND ${CMAKE_COMMAND} -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  COMMAND cp -rp ./out/arsdk-native/staging/usr/include/* ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  COMMAND ${CMAKE_COMMAND} -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/${PROJECT_NAME}
  COMMAND cp -rp ./out/arsdk-native/staging/usr/lib/* ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/${PROJECT_NAME}
  COMMAND ${CMAKE_COMMAND} -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/${PROJECT_NAME}
  COMMAND cp -rp ./out/arsdk-native/staging/usr/share/* ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/${PROJECT_NAME}
  #COMMAND ${CMAKE_COMMAND} -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}/${PROJECT_NAME}
  #COMMAND cp -rp ./out/Unix-base/staging/usr/bin/* ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION}/${PROJECT_NAME}
)
add_dependencies(ARSDKPopulate ARSDKBuildUtils)

#############
## Install ##
#############

#install(DIRECTORY ${ARDRONESDK3_PATH}/bin/
#  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#  USE_SOURCE_PERMISSIONS
#)

install(DIRECTORY ${ARDRONESDK3_PATH}/include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY ${ARDRONESDK3_PATH}/lib/
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}/parrot_arsdk
)

install(DIRECTORY ${ARDRONESDK3_PATH}/share/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY ${ARDRONESDK3_PATH}/../etc/
  DESTINATION ${CATKIN_PACKAGE_ETC_DESTINATION}
)

=== mavlink/CMakeLists.txt ===
project (mavlink)

# settings
cmake_minimum_required (VERSION 2.8.2)
set(PROJECT_VERSION_MAJOR "1")
set(PROJECT_VERSION_MINOR "0")
set(PROJECT_VERSION_PATCH "9")
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
set(PROJECT_CONTACT_EMAIL http://groups.google.com/group/mavlink)
set(PROJECT_CONTACT_VENDOR mavlink)
set(LIBRARY_VERSION ${PROJECT_VERSION})
set(LIBRARY_SOVERSION "0.0.0")

# third party 
# none required

# options
option(WITH_TESTS "Build test programs." OFF)
option(WITH_BUILD_DEPS "Build dependencies." OFF) # no deps currently to build
option(WITH_BUILD_STATIC "Build preferring static linking." ON)

# variables
set(ROOT_THREAD TRUE CACHE INTERNAL "Is this the top level of the recursion?")

# modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/cmake/arkcmake)
include(DefineCMakeDefaults)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckLibraryExists)
#include(CheckTypeSize)
#include(CheckPrototypeExists)
#include(CheckCXXSourceCompiles)
#include(CheckCSourceCompiles)
include(ExternalProjectWithFilename)

if (UNIX)
    include(GNUInstallDirs)
    set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "Installation path for libraries")
endif ()


# spawn new cmake to build deps
if (WITH_BUILD_DEPS AND ROOT_THREAD)
    execute_process(COMMAND ${CMAKE_COMMAND} "${CMAKE_SOURCE_DIR}"
        "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}"
        "-DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}"
        "-DWITH_BUILD_DEPS=${WITH_BUILD_DEPS}"
        "-DWITH_BUILD_STATIC=${WITH_BUILD_STATIC}"
        "-DWITH_TESTS=${WITH_TESTS}"
        "-DROOT_THREAD=FALSE"
        RESULT_VARIABLE ERROR)
    if (ERROR)
        message(FATAL_ERROR "error, recursing loop returned error code: ${ERROR}")
    endif()
    message("** Making dependencies")
    execute_process(COMMAND ${CMAKE_MAKE_PROGRAM} "-j4" "-f${CMAKE_BINARY_DIR}/Makefile")
    message("** Configuring ${PROJECT_NAME}")
endif()

# external projects find path
if(NOT EP_BASE_DIR)
    set(EP_BASE_DIR "${CMAKE_BINARY_DIR}/CMakeExternals")
endif()
set_property(DIRECTORY PROPERTY EP_BASE ${EP_BASE_DIR})
set(EP_INSTALL_DIR "${EP_BASE_DIR}/Install")
list(APPEND CMAKE_FIND_ROOT_PATH ${EP_BASE_DIR})

# prefer static packages if building static library
message("** Finding libraries")
if (WITH_BUILD_STATIC)
    # prefer static libs
    if(WIN32)
        set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
    else()
        set(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
    endif()
endif()

# find libraries with cmake modules
find_package(PythonInterp)

# enable languages
if (WITH_TESTS)
    enable_language(C)
    enable_language(CXX)
    include(DefineCompilerFlags)
endif()

# build dependencies
if (WITH_BUILD_DEPS AND (NOT ROOT_THREAD) )
    message("** Configuring dependencies")

    # add external projects

    # none required currently

    set(CMAKE_DEFAULT_ARGS
        -DEP_BASE_DIR=${EP_BASE_DIR}
        -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}
        -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
        )

    # terminate non root cmake thread
    return()
endif()

# configure
#check_include_files(string.h HAVE_STRING_H)
#check_function_exists(memcopy HAVE_MEMCOPY)
#check_symbol_exists(LC_MESSAGES "locale.h" HAVE_LC_MESSAGES) 
#check_library_exists(pthread  attachNode "" HAVE_PTHREAD)

# config files
configure_file(config.h.in config.h)
install(FILES ${CMAKE_BINARY_DIR}/config.h DESTINATION include/${PROJECT_NAME} COMPONENT Dev)

# mavlink generation
macro(generateMavlink version definitions)
    foreach(definition ${definitions})
        set(targetName ${definition}-v${version})
        set(definitionAbsPath ${CMAKE_SOURCE_DIR}/message_definitions/v${version}/${definition})
        message(STATUS "processing: ${definitionAbsPath}")
        add_custom_command( 
            OUTPUT ${targetName}-stamp
            COMMAND PYTHONPATH=$ENV{PYTHONPATH}:${CMAKE_CURRENT_SOURCE_DIR} ${PYTHON_EXECUTABLE} -m pymavlink.tools.mavgen --lang=C --wire-protocol=${version}
                --output=include/v${version} ${definitionAbsPath}
            COMMAND touch ${targetName}-stamp
            )
        add_custom_target(${targetName} ALL DEPENDS ${targetName}-stamp)
    endforeach()
endmacro()

# build
set(mavgen -m pymavlink.tools.mavgen)
set(v0.9Definitions
    ardupilotmega.xml
    common.xml
    minimal.xml
    slugs.xml
    test.xml
    ualberta.xml
    )
generateMavlink("0.9" "${v0.9Definitions}")
set(v1.0Definitions
    ASLUAV.xml
    ardupilotmega.xml
    autoquad.xml
    common.xml
    matrixpilot.xml
    minimal.xml
    paparazzi.xml
    python_array_test.xml
    slugs.xml
    test.xml
    ualberta.xml
    )
generateMavlink("1.0" "${v1.0Definitions}")

# testing
if (BUILD_TEST)
    if (UNIX) 
        include_directories(${CMAKE_BINARY_DIR}/include/v0.9/common)
        # TODO fix udp example
        #add_executable(mavlink_udp examples/linux/mavlink_udp.c)
    endif()
endif()

# install files
install(DIRECTORY ${CMAKE_BINARY_DIR}/include/ DESTINATION include/${PROJECT_NAME} COMPONENT Dev FILES_MATCHING PATTERN "*.h*")
install(DIRECTORY ${CMAKE_BINARY_DIR}/src/ DESTINATION share/${PROJECT_NAME} COMPONENT Dev FILES_MATCHING PATTERN "*.c*")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/share/${PROJECT_NAME} DESTINATION share COMPONENT Dev FILES_MATCHING PATTERN "*.c*")
if (UNIX)
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/pymavlink DESTINATION ${CMAKE_INSTALL_LIBDIR}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages COMPONENT Dev)
else ()
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/pymavlink DESTINATION "share/pyshared" COMPONENT Dev)
endif ()

configure_file(pc.in ${PROJECT_NAME}.pc)
install(FILES
    ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig COMPONENT Dev
    )

### packaging

# apple bundle icon
if (APPLE)
    # set how it shows up in Info.plist
    set(MACOSX_BUNDLE_ICON_FILE mavlink.icns)
    # set where in the bundle to put the icns file
    set_source_files_properties(cmake/mavlink.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    # include the icns file in the target
    #list(APPEND MAVLINKGUI_SRCS cmake/mavlink.icns)
endif()

# set NSIS image
if (WIN32)
    set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/cmake/mavlink.bmp")
endif()

# add file extensions and set resource files
configure_file("COPYING" "COPYING.txt" COPYONLY)
configure_file("README.md" "README.md" COPYONLY)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_BINARY_DIR}/COPYING.txt")
set(CPACK_RESOURCE_FILE_README "${CMAKE_BINARY_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CPACK_RESOURCE_FILE_README}")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/cmake/WELCOME.txt")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "mavlink message marshalling library")
set(CPACK_PACKAGE_VENDOR ${PROJECT_CONTACT_VENDOR})
set(CPACK_PACKAGE_CONTACT "${PROJECT_CONTACT_EMAIL}")
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SET_DESTDIR TRUE)
set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
set(CPACK_COMPONENTS_GROUPING "ALL_COMPONENTS_IN_ONE")
include(CPack)


# vim:sw=4:ts=4:expandtab

=== libARCommands/WiresharkPlugin/Makefile ===
# Makefile for ARSDK wireshark plugin
PLUGIN	:= arsdk.so
OBJS	:= packet-arsdk.o

TREE	:= tree.h
GEN	:= ../../../out/arsdk-native/staging-host/usr/lib/arsdkgen/arsdkgen.py
ARC_GEN := ../Tools/libARCommandsgen.py
INC	:= -I ../Includes -I ../Sources -I ../../libARNetworkAL/Includes -I ../gen/Includes -I ../../../out/arsdk-native/staging/usr/include/

WARN	:= -Wall -W -Wextra -Wdeclaration-after-statement -Wendif-labels \
	-Wpointer-arith -Wno-pointer-sign -Warray-bounds -Wformat-security \
	-Wold-style-definition -Wstrict-prototypes -Wjump-misses-init -Wvla \
	-Waddress -Wattributes -Wdiv-by-zero -Wignored-qualifiers -Wpragmas \
	-Wno-overlength-strings -Wwrite-strings -Wno-long-long -Wlogical-op

CFLAGS	:= -g -O2 $(WARN) $(INC) -fPIC -DPIC -DSTANDALONE_BUILD \
	-fexcess-precision=fast -fvisibility=hidden -fwrapv \
	-fno-strict-overflow -fno-delete-null-pointer-checks

LDFLAGS	:= -shared -fPIC -DPIC
STRIP_ARGS :=

UNAME_S := $(shell uname -s)
# if platform is on MacOS
ifeq ($(UNAME_S),Darwin)
    LDFLAGS += -L/Applications/Wireshark.app/Contents/Resources/lib -lwireshark
    STRIP_ARGS += -x
endif
# if platform is on Linux
ifeq ($(UNAME_S),Linux)
    LDFLAGS += -Wl,-soname -Wl,$(PLUGIN)
endif

all: $(PLUGIN)

# don't bother handling dependencies here
.PHONY: .FORCE

$(TREE): .FORCE
	python $(GEN) $(ARC_GEN) tree

%.o: %.c $(TREE) .FORCE
	@echo "CC $@"
	@$(CC) -c $< $(CFLAGS) -o $@

$(PLUGIN): $(OBJS)
	@echo "CCLD $@"
	@$(CC) $(LDFLAGS) $^ -o $@
	@echo "STRIP $@"
	@strip $(STRIP_ARGS) $@

clean:
	-rm -f $(OBJS) $(TREE) $(PLUGIN)

=== libfutils/threadx/Makefile ===
libfutils-objs += ../src/timetools.o

obj-y += libfutils.a
install-files += libfutils.a

=== ulog/kernel/Makefile ===
obj-m += ulogger.o

=== ulog/threadx/Makefile ===
LIBULOG_DIR := $(THREADX_SRC_DIR)/$(src)

libulog-objs += src/ulog.o

ifeq ($(CONFIG_PARROT_LINUXLOG),y)
ccflags-y += -I$(abspath $(LIBULOG_DIR))/ulog_shd/include
libulog-objs += src/ulog_ctrl.o
endif

obj-y += libulog.a
install-files += libulog.a

=== ARSDKTools/uthash/tests/Makefile ===
#CC=clang
HASHDIR = ../src
FUNCS = BER SAX FNV OAT JEN SFH 
SPECIAL_FUNCS = MUR
UTILS = emit_keys
PROGS = test1 test2 test3 test4 test5 test6 test7 test8 test9   \
		    test10 test11 test12 test13 test14 test15 test16 test17 \
        test18 test19 test20 test21 test22 test23 test24 test25 \
        test26 test27 test28 test29 test30 test31 test32 test33 \
        test34 test35 test36 test37 test38 test39 test40 test41 \
        test42 test43 test44 test45 test46 test47 test48 test49 \
				test50 test51 test52 test53 test54 test55 test56 test57 \
        test58 test59 test60 test61 test62 test63 test64 test65 \
        test66 test67 test68 test69 test70 test71 test72 test73 \
        test74 test75 test76 test77 test78 test79 test80 test81 \
        test82 test83 test84 test85
CFLAGS = -I$(HASHDIR) 
#CFLAGS += -DHASH_BLOOM=16
#CFLAGS += -O2
CFLAGS += -g
#CFLAGS += -Wstrict-aliasing=2
CFLAGS += -Wall 
#CFLAGS += -Wextra 
#CFLAGS += -std=c89
CFLAGS += ${EXTRA_CFLAGS}

ifeq ($(HASH_DEBUG),1)
CFLAGS += -DHASH_DEBUG=1
endif

ifeq ($(HASH_PEDANTIC),1)
CFLAGS += -pedantic 
endif

TEST_TARGET=run_tests
TESTS=./do_tests

MUR_CFLAGS = -DHASH_USING_NO_STRICT_ALIASING -fno-strict-aliasing
# On GNU we use -fno-strict-aliasing when using the Murmurhash
ifneq ($(strip $(shell $(CC) -v 2>&1 |egrep "gcc")),)
ifeq ($(HASH_FUNCTION),"HASH_MUR")
  CFLAGS += $(MUR_CFLAGS)
endif
endif

# detect Cygwin
ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "cygwin")),)
  TESTS=./do_tests.cygwin
endif

# detect MinGW
ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "mingw")),)
  TEST_TARGET=run_tests_mingw
  TESTS=./do_tests.mingw
endif

#detect Linux (platform specific utilities)
ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "linux")),)
  PLAT_UTILS = hashscan sleep_test
endif

#detect FreeBSD (platform specific utilities)
ifeq ($(strip $(shell uname -s)), FreeBSD)
  ifeq ($(shell if [ `sysctl -n kern.osreldate` -ge 0801000 ]; then echo "ok"; fi), ok)
    PLAT_UTILS = hashscan sleep_test
  endif
endif


all: $(PROGS) $(UTILS) $(PLAT_UTILS) $(FUNCS) $(SPECIAL_FUNCS) $(TEST_TARGET) 

tests_only: $(PROGS) $(TEST_TARGET)

debug:
	$(MAKE) all HASH_DEBUG=1

pedantic:
	$(MAKE) all HASH_PEDANTIC=1

cplusplus:
	CC=$(CXX) $(MAKE) all 

example: example.c $(HASHDIR)/uthash.h
	$(CC) $(CFLAGS) -o $@ $(@).c 

$(PROGS) $(UTILS) : $(HASHDIR)/uthash.h
	$(CC) $(CFLAGS) -o $@ $(@).c 

hashscan : $(HASHDIR)/uthash.h
	$(CC) $(CFLAGS) $(MUR_CFLAGS) -o $@ $(@).c 

sleep_test : $(HASHDIR)/uthash.h 
	$(CC) $(CFLAGS) -DHASH_BLOOM=16 -o $@ $(@).c 

$(FUNCS) : $(HASHDIR)/uthash.h
	$(CC) $(CFLAGS) -DHASH_FUNCTION=HASH_$@ -o keystat.$@ keystat.c 

$(SPECIAL_FUNCS) : $(HASHDIR)/uthash.h
	$(CC) $(CFLAGS) $(MUR_CFLAGS) -DHASH_FUNCTION=HASH_$@ -o keystat.$@ keystat.c 

run_tests: $(PROGS)
	perl $(TESTS)

run_tests_mingw: $(PROGS)
	/bin/sh do_tests.mingw

.PHONY: clean

clean:	
	rm -f $(UTILS) $(PLAT_UTILS) $(PROGS) test*.out keystat.??? example *.exe
	rm -rf *.dSYM

=== ulog/libulog/tests/Makefile ===
CFLAGS := -Wall -O2 -I../include
LDFLAGS := -L../ -lulog -lpthread

all: ulogtest ulogtestcpp

ulogtest: ulogtest.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

ulogtestcpp: ulogtest.cpp
	$(CXX) $(CFLAGS) $(LDFLAGS) -o $@ $<

=== Samples/Contributions/OSX/RollingSpiderCruft/Makefile ===
LIBAR=../../../../ARSDKBuildUtils/Targets/Unix/Install

FRAMEWORKS=-framework Foundation -framework CoreBluetooth -framework CoreGraphics
INCLUDES=-I$(LIBAR)/include
LIBDIR=-L$(LIBAR)/lib
LIBS=-lardiscovery -larnetworkal -larsal -larnetwork -larcommands

RSLIB=RSlib/MiniDroneARNetworkConfig.m RSlib/ARNetworkConfig.m	\
RSlib/DeviceController.m RSlib/DeviceController+libARCommands.m	\
RSlib/MiniDroneDeviceController.m				\
RSlib/MiniDroneDeviceController+libARCommands.m

RollingSpiderTest: RollingSpiderTest.m Makefile
	clang -g -fobjc-arc $(LIBDIR) $(INCLUDES) $(LIBS) $(FRAMEWORKS) $(RSLIB) $< -o $@

clean:
	rm -rf RollingSpiderTest *.dSYM *~

=== Samples/Contributions/OSX/RollingSpiderOK/Makefile ===
LIBAR=../../../../ARSDKBuildUtils/Targets/Unix/Install

FRAMEWORKS=-framework Foundation -framework CoreBluetooth -framework CoreGraphics
INCLUDES=-I$(LIBAR)/include -I.
LIBDIR=-L$(LIBAR)/lib
LIBS=-lardiscovery -larnetworkal -larsal -larnetwork -larcommands

RSLIB=DeviceController.m

RollingSpiderTest: RollingSpiderTest.m Makefile $(RSLIB)
	clang -g -fobjc-arc $(LIBDIR) $(INCLUDES) $(LIBS) $(FRAMEWORKS) $(RSLIB) $< -o $@

run: RollingSpiderTest
	./RollingSpiderTest

clean:
	rm -rf RollingSpiderTest *.dSYM *~

=== ARSDKTools/uthash/opt/bundle/src/Makefile ===
OBJS=libut.a
all: $(OBJS) 
INCDIR=../include
CFLAGS=-I$(INCDIR)
CFLAGS+=-Wall -Wextra
CFLAGS+=-g

libut.a: libut.o utvector.o 
	ar r $@ $^

libut.o: libut.c $(INCDIR)/libut.h
	$(CC) $(CFLAGS) -c $<

utvector.o: utvector.c $(INCDIR)/utvector.h
	$(CC) $(CFLAGS) -c $<

.PHONY: clean 

clean:
	rm -f $(OBJS) *.o

=== mavlink/pymavlink/generator/C/test/posix/Makefile ===
CFLAGS = -g -Wall -Werror -Os
TESTPROTOCOL = common
ALLPROTOCOLS = minimal test common pixhawk ardupilotmega slugs ualberta

all: 
	for p in ${ALLPROTOCOLS}; do make -f Makefile build TESTPROTOCOL=$$p; done

test:
	for p in ${ALLPROTOCOLS}; do make -f Makefile testprogs TESTPROTOCOL=$$p || exit 1; done

valgrindtest:
	for p in ${ALLPROTOCOLS}; do make -f Makefile valgrindprogs TESTPROTOCOL=$$p || exit 1; done

build: testmav0.9_${TESTPROTOCOL} testmav1.0_${TESTPROTOCOL}

testprogs: testmav0.9_${TESTPROTOCOL} testmav1.0_${TESTPROTOCOL}
	./testmav0.9_${TESTPROTOCOL}
	./testmav1.0_${TESTPROTOCOL}

valgrindprogs: testmav0.9_${TESTPROTOCOL} testmav1.0_${TESTPROTOCOL}
	valgrind -q ./testmav0.9_${TESTPROTOCOL}
	valgrind -q ./testmav1.0_${TESTPROTOCOL}

clean:
	rm -rf *.o *~ testmav1.0* testmav0.9*

testmav1.0_${TESTPROTOCOL}: testmav.c
	$(CC) $(CFLAGS) -I../../include_v1.0 -I../../include_v1.0/${TESTPROTOCOL} -o $@ testmav.c

testmav0.9_${TESTPROTOCOL}: testmav.c
	$(CC) $(CFLAGS) -I../../include_v0.9 -I../../include_v0.9/${TESTPROTOCOL} -o $@ testmav.c

=== debian/changelog ===
ros-indigo-parrot-arsdk (3.14.1-0trusty) trusty; urgency=high

  * Update patch json-c_avoid_so_version
  * Patches libressl_avoid_version and libressl_avoid_version_patch
  * Contributors: Thomas Bamford

 -- Mani Monajjemi <mmonajje@sfu.ca>  Sun, 29 Jul 2018 04:00:00 -0000

ros-indigo-parrot-arsdk (3.14.0-0trusty) trusty; urgency=high

  * Update to SDK 3.14.0
  * SDK 3.14.0 Changelog:
    - Added a way to update Sequoia through the drone
    - Added Sequoia specific messages support
  * Remove TARGET_OS_FLAVOUR build flag in CMakeLists.txt
  * Contributors: Thomas Bamford

 -- Mani Monajjemi <mmonajje@sfu.ca>  Mon, 02 Jul 2018 04:00:00 -0000

ros-indigo-parrot-arsdk (3.13.10-0trusty) trusty; urgency=high

  * Update to SDK 3.13.1
  * SDK 3.13.1 Changelog:
    - Fixed java feature wrongly set to null
    - Fixed minicam not detected in discovery
  * SDK 3.13.0 Changelog:
    - Support of Mambo with camera accessory
    - Support of Parrot Bebop 2 Power, Bluegrass, Bebop Thermal
    - Animation feature
  * Patch json-c_avoid_so_version SDK 3.13.1
  * Contributors: Thomas Bamford

 -- Mani Monajjemi <mmonajje@sfu.ca>  Mon, 19 Mar 2018 04:00:00 -0000

ros-indigo-parrot-arsdk (3.12.61-0trusty) trusty; urgency=high

  * Change package versioning scheme to X.Y.ZP
    3.12.6 (patch 0) to 3.12.60
  * Merge pull request #7 <https://github.com/AutonomyLab/parrot_arsdk/issues/7> from thomas-bamford/indigo-devel
    Patch json-c_avoid_so_version SDK 3.12.6
  * Patch json-c_avoid_so_version SDK 3.12.6
  * Contributors: Thomas Bamford

 -- Mani Monajjemi <mmonajje@sfu.ca>  Sun, 13 Aug 2017 04:00:00 -0000

ros-indigo-parrot-arsdk (3.12.6-0trusty) trusty; urgency=high

  * Update to SDK 3.12.6
  * SDK 3.12.6 Changelog:
    - Fixed Android issues (versioning & link error on API19)
  * SDK 3.12.5 Changelog:
    - Declare AccessoryState event as a MAP_ITEM type
    - Handle list flags of AccessoryState and DebugSettingsInfo events directly in libARController.
  * SDK 3.12.4 Changelog:
    - Use Python3 for all scripts
    - Added new Mavlink mission items related to Sequoia
    - Added an event to know if there is a Sequoia attached to the drone
    - Renamed the iOS precompiled folders as arsdk-ios and arsdk-ios_sim*
    - Removed appCompat-v7 from the dependencies of ARSDK3.
    - Fixed direct connection to a Disco
  * SDK 3.12.3 Changelog:
    - Use Python3 for all scripts
    - Added new Mavlink mission items related to Sequoia
    - Added an event to know if there is a Sequoia attached to the drone
    - Renamed the iOS precompiled folders as arsdk-ios and arsdk-ios_sim
  * SDK 3.12.1 Changelog:
    - Fixed reconnection issues on all Wifi products (when the reconnection appears less than 5 seconds after the disconnection).
  * SDK 3.12.0 Changelog:
    - Fixed non-ack commands
    - Simplify the way to create ftp managers from a device service
    - Fixed crash when swapping apps using the MPP (Android)
    - Fixed minSDKVersion and targetSDKVersion of libmux (Android)

 -- Mani Monajjemi <mmonajje@sfu.ca>  Thu, 06 Jul 2017 04:00:00 -0000

ros-indigo-parrot-arsdk (3.11.0-0trusty) trusty; urgency=high

  * Update to SDK 3.11.0
    SDK Changelog:
    - Fixed non-ack commands (camera orientation was always sent)
    - Updated features list in the device controllers
    - Old and deprecated Unix samples have been removed
    - Coverity fixes
  * Contributors: Mani Monajjemi

 -- Mani Monajjemi <mmonajje@sfu.ca>  Sat, 11 Feb 2017 05:00:00 -0000

ros-indigo-parrot-arsdk (3.10.1-0trusty) trusty; urgency=high

  * Update to SDK 3.10.1 (from 3.9.1) - patch 0
  * Changelog for SDK 3.10.1
    
    Fixed events as list management
    
    Patched curl to avoid using clock_gettime on iOS
    
    Renamed internal MD5 symbol
    
    Fixed documentation generator
  * Changelog for SDK 3.10.0
    
    Disco support
    
    SkyController 2 support
    
    Mambo support
    
    Swing support
    
    new messages
  * Changlog for SDK 3.9.2
    
    Support of audio stream for Jumping evos
    
    new messages for Bebop and Bebop 2
    
    Alchemy updated (python3 needed)
  * Contributors: Mani Monajjemi

 -- Mani Monajjemi <mmonajje@sfu.ca>  Tue, 27 Sep 2016 04:00:00 -0000

ros-indigo-parrot-arsdk (3.9.1-0trusty) trusty; urgency=high

  * Parrot ARSDK 3.9 Changes
    
    New commands:
    
    Bebop and Bebop 2:
    
    BankedTurn
    
    BankedTurnChanged
    
    MaxPitchRollRotationSpeed
    
    MaxPitchRollRotationSpeedChanged
    
    wifiSecurity
    
    VideoStabilizationMode
    
    VideoStabilizationModeChanged
    
    New commands to build the SDK:
    
    For iOS: ./build.sh -p arsdk-ios -t build-sdk -j
    
    For iOS Simulator: ./build.sh -p arsdk-ios_sim -t build-sdk -j
    
    For Android: ./build.sh -p arsdk-android -t build-sdk -j
    
    For Unix: ./build.sh -p arsdk-native -t build-sdk -j
    
    New outputs directory:
    
    For iOS: <SDK>/arsdk-ios
    
    For iOS Simulator: <SDK>/arsdk-ios_sim
    
    For Android: <SDK>/arsdk-android
    
    For Unix: <SDK>/arsdk-native But old output are kept (with simlinks to avoid breaking compatibility).
    
    libARController Android bug fix (a big thanks to Synman :+1: )
    
    Video decoding bug fix in the iOS Sample (a big thanks to ar.tommy and ka010 :+1: )
    
    Other bug fixes
  * parrot_arsdk Changes
    
    Add travis config file
    
    Minor fix for package.xml
    
    Initial catkin wrapper for Parrot ARDSDK
    
    Include a stripped tarball of the SDK
    
    SDK Version: 3.9.1
    
    Populate both devel and install spaces
    
    Add a patch to disable non-x86 compilation flags for arm platform from
    
    Add a script to determine the host arch robustly. This script is used
    by CMake to pass appropriate flags to build_sdk.py
    
    Contributors: Mani Monajjemi

 -- Mani Monajjemi <mmonajje@sfu.ca>  Mon, 25 Jul 2016 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-parrot-arsdk
Section: misc
Priority: extra
Maintainer: Mani Monajjemi <mmonajje@sfu.ca>
Build-Depends: debhelper (>= 9.0.0), autoconf, automake, curl, libavahi-client-dev, libavahi-core-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libcurl4-openssl-dev, libltdl-dev, libncurses5-dev, libswscale-dev, libtool, nasm, ros-indigo-catkin, unzip, yasm, zlib1g-dev
Homepage: http://wiki.ros.org/parrot_arsdk
Standards-Version: 3.9.2

Package: ros-indigo-parrot-arsdk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Catkin wrapper for the official ARSDK from Parrot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-parrot-arsdk//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
